#
# spec file for package php5-pear-xml_util
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#


# norootforbuild


Name:               php5-pear-xml_util
Version:            1.1.4
Release:            1.1
Summary:            XML utility class
License:            PHP License
Group:              Development/Libraries/PHP
Url:                http://pear.php.net/package/XML_Util
Source0:            http://download.pear.php.net/package/XML_Util-%version.tgz
BuildArch:          noarch
PreReq:             php5-pear
BuildRequires:      php5-pear
BuildRoot:          %{_tmppath}/%{name}-%{version}-build
%define             peardir %(pear config-get php_dir 2> /dev/null)
%define             xmldir  %{_var}/lib/pear

%description
Selection of methods that are often needed when working with XML documents.

Functionality includes creating of attribute lists from arrays, creation of
tags, validation of XML names and more.

Author:
-------
    Stephan Schmidt
    Davey Shafik



%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%_defaultdocdir/%name \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build


%install
pear -c pearrc install --offline --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp package.xml %{buildroot}%{xmldir}/XML_Util.xml


%clean
%__rm -rf %{buildroot}


%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_Util.xml


%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_Util
fi


%files
%defattr(-, root, root)
%doc %_defaultdocdir/%name
%dir %peardir/XML
%peardir/XML/Util.php
%xmldir/XML_Util.xml


%changelog
* Mon Dec 10 2007 lars@linux-schulserver.de
- initial version 1.1.4
